# AssignNetworkInterfaceIpv6

## 1. 接口描述

本接口(AssignNetworkInterfaceIpv6)用于给网卡添加IPv6。

{% hint style="info" %}
**注意事项**

* 网卡堆栈类型需为`IPv4`且所属的Subnet堆栈类型为`IPv4_IPv6`支持操作
* 如果子网的IPv6是公网，则需要指定公网的计费相关参数。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称               | 必选 | 类型                                                                                                                | 描述                                                                                                                                                   |
| ------------------ | -- | ----------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| nicId              | 是  | String                                                                                                            | 要添加IPv6的网卡ID。                                                                                                                                        |
| internetChargeType | 否  | [InternetChargeType](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#internetchargetype) | <p>公网IPv6的网络计费方式。</p><p>当子网的堆栈类型包括V6且为公网时，需要指定。</p>                                                                                                  |
| bandwidth          | 否  | Integer                                                                                                           | <p>公网IPv6的带宽限速。</p><p>单位Mbps。</p><p>当子网的堆栈类型包括V6且为公网时，需要指定。</p><p>可选值范围：\[1, +)</p>                                                                  |
| packageSize        | 否  | Float                                                                                                             | <p>公网IPv6的流量包大小。</p><p>单位为TB。</p><p>值要求为0或0.1的倍数。</p><p>当子网的堆栈类型包括V6且为公网时，且网络计费方式是流量计费(<code>ByTrafficPackage</code>)需要指定。</p><p>可选值范围：\[0.0, +)</p> |
| clusterId          | 否  | String                                                                                                            | <p>公网IPv6所指定的共享带宽包ID。</p><p>当子网的堆栈类型包括V6且为公网时，且网络计费方式是共享带宽包计费(<code>BandwidthCluster</code>)需要指定。</p>                                                |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 网卡添加的是内网IPv6地址。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AssignNetworkInterfaceIpv6
<Common Request Params>

Request：
{
  "nicId": "<nicId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

**2. 网卡添加的是公网IPv6地址。且计费类型为共享带宽包计费。带宽限速设置为100Mbps。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AssignNetworkInterfaceIpv6
<Common Request Params>

Request：
{
  "nicId": "<nicId>",
  "internetChargeType": "BandwidthCluster",
  "bandwidth": 100,
  "clusterId": "<clusterId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                                     | 说明                  |
| ------- | ------------------------------------------------------- | ------------------- |
| 400     | INVALID\_NIC\_IPV6\_EXISTS                              | 网卡已绑定IPv6，无法操作。     |
| 404     | INVALID\_NIC\_NOT\_FOUND                                | 网卡不存在。              |
| 400     | INVALID\_NIC\_STATUS                                    | 当前网卡状态无法进行操作。       |
| 400     | INVALID\_PARAMETER\_BANDWIDTH\_ERROR                    | 带宽限速值超过最小限制。        |
| 400     | INVALID\_PARAMETER\_BANDWIDTH\_EXCEED                   | 带宽限速值超过最大限制。        |
| 400     | INVALID\_PARAMETER\_FLOW\_TRAFFIC\_PACKAGE              | 流量包大小不合法。           |
| 400     | INVALID\_PARAMETER\_TRAFFIC\_PACKAGE\_EXCEED            | 流量包大小超过最大限制。        |
| 400     | INVALID\_SUBNET\_IPSTACK\_NOT\_SUPPORT                  | 子网的IP堆栈类型不支持此操作。    |
| 409     | INVALID\_SUBNET\_IPV6\_INSUFFICIENT                     | Subnet下可用的IPv6数量不足。 |
| 400     | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | IP网络计费方式不支持。        |
| 400     | OPERATION\_DENIED\_NIC\_EXIST\_IPV6                     | 网卡已经存在IPv6。         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/vnic/assignnetworkinterfaceipv6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
